
def triangle_area(a: float, b: float, c: float) -> float:
    """Vrať povrch trojúhelníku se stranami a, b, c. Vyhoď ValueError pokud strany nesplňují trojúhelníkovou nerovnost.
    >>> round(triangle_area(3, 4, 5), 6)
    6.0
    >>> round(triangle_area(5.4, 5.2, 5.3), 6)
    12.154663
    >>> round(triangle_area(3, 4, 8), 6)
    Traceback (most recent call last):
        ...
    ValueError: Violating triangle inequality
    >>> round(triangle_area(3, 2, 1), 6)
    Traceback (most recent call last):
        ...
    ValueError: Violating triangle inequality
    >>> round(triangle_area(1.5, 2, 0.3), 6)
    Traceback (most recent call last):
        ...
    ValueError: Violating triangle inequality
    """
    raise NotImplementedError()


def largest_triangle(triangles: list[tuple[float, float, float]]) -> tuple[float, float, float]:
    """Vyber trojúhelník s největším obsahem.
    >>> largest_triangle([(3, 4, 5), (3, 4, 8), (6, 7, 6)])
    (6, 7, 6)
    >>> largest_triangle([(1, 2, 3)])
    Traceback (most recent call last):
        ...
    ValueError: No valid triangles
    """
    raise NotImplementedError()


def largest_triangle_io(input_line: str) -> str:
    """Zpracuj vstupní řetězec se zápisem trojúhelníků a vrať řetězec s hlášením o největším trojúhelníku.
    >>> largest_triangle_io('3.0-4.0-5.0; 3-4-8; 6-7-6')
    'Largest triangle is: 6.00-7.00-6.00'
    >>> largest_triangle_io('1-2-3; 4.5-8-16')  # Všechny trojúhelníku porušují troj. nerovnost
    'No valid triangles'
    >>> largest_triangle_io('3-4-5a; 8-7-10')  # 5a není správné číslo
    'Invalid input'
    >>> largest_triangle_io('3-4-5; 8-8; 42-42-42')  # Druhý trojúhelník má zadané pouze 2 strany
    'Invalid input'
    """
    raise NotImplementedError()


def main() -> None:
    """Načti ze vstupu zápis trojúhelníku, a vypiš hlášení o největším trojúhelníku."""
    inp = input('Zadejte délky stran trojúhelníků (např. "3-4-5; 1.2-2-1.5"): ')
    out = largest_triangle_io(inp)
    print(out)


if __name__ == '__main__':
    main()
    